# $Revision: 1.8 $, $Date: 2008/08/04 09:25:56 $
Summary:	Display various tables of DNS traffic on your network
Summary(pl.UTF-8):	Wyświetlanie różnych zestawień ruchu DNS w sieci
Name:		dnstop
Version:	20080502
Release:	1
License:	BSD-like
Group:		Applications/Networking
Source0:	http://dns.measurement-factory.com/tools/dnstop/src/%{name}-%{version}.tar.gz
# Source0-md5:	67f24e8fe47a6b8387b863d19224f20c
URL:		http://dns.measurement-factory.com/tools/dnstop/
BuildRequires:	libpcap-devel
BuildRequires:  ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network, including tables of source and
destination IP addresses, query types, top level domains and second
level domains.

%description -l pl.UTF-8
dnstop to aplikacja oparta na libpcap (podobnie jak tcpdump)
wyświetlająca zestawienia ruchu DNS w sieci wraz z tabelami źródłowych
i docelowych adresów IP, rodzajów zapytań, domen głównych i drugiego
poziomu.

%prep
%setup -q 

%build
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses \
		-DUSE_IPV6=1"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install dnstop $RPM_BUILD_ROOT%{_sbindir}
install dnstop.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dnstop.spec,v $
Revision 1.8  2008/08/04 09:25:56  zbyniu
- up to 20080502

Revision 1.7  2007-06-21 09:44:06  blues
- 20070510

Revision 1.6  2007/05/04 01:16:56  zbyniu
- up to 20070307

Revision 1.5  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.3  2007/01/22 01:38:43  darekr
- updated to 20070105

Revision 1.2  2006/11/13 22:04:59  qboosh
- pl

Revision 1.1  2006/11/06 12:44:19  blues
- initial, nice dns quick-stats
